## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
PRAGMA vdbe_listing = NO;
CREATE TABLE T (
  a INTEGER,
  b REAL,
  c REAL
);
INSERT INTO T VALUES ((format('%s %s', 1, 1) * 1),1.5,10.0), (2,-2.5,20.0), (3,-9e999,30.0);
SELECT * FROM T WHERE b < 2.0 ORDER BY /* ltrim('xxxhelloxxx', 'x') */ b;
.stats
ATTACH DATABASE ':memory:' AS aux75;
PRAGMA reverse_unordered_selects = YES;
PRAGMA empty_result_callbacks == '-Inf';
ATTACH DATABASE ':memory:' AS aux97;
CREATE TABLE main.T1 (
  A VARCHAR(10) PRIMARY KEY,
  B VARCHAR(15) UNIQUE,
  C INTEGER
);
CREATE TABLE T2 (
  X VARCHAR(20) PRIMARY KEY,
  A VARCHAR(10) NOT NULL UNIQUE,
  FOREIGN KEY (A) REFERENCES T1(A)
);
INSERT INTO T1 VALUES ('a', 'p', -2147483648);
INSERT INTO T1 VALUES ('b', 'q', 2147483647);
INSERT INTO T2 VALUES ('m', 'a');
INSERT INTO T2 VALUES ('n', 'b');
SELECT T2.X, T1.B, T1.C FROM T2, T1 WHERE T2.A = T1.A OR T1.C >= 0;
DETACH DATABASE aux97;
PRAGMA defer_foreign_keys = ON;
WITH cte AS (SELECT C, RANK() OVER (ORDER BY C) AS rnk FROM T1) SELECT * FROM cte;
VACUUM main;
CREATE UNIQUE  INDEX IF NOT EXISTS idx_T1_9625 ON T1(lower(B)) WHERE B IS NOT NULL;
INSERT INTO T1 VALUES (NULL, NULL, NULL);
ALTER TABLE T1 RENAME COLUMN A TO A_r9619;
SELECT * FROM T2 AS a FULL OUTER JOIN T2 AS b ON a.rowid = b.rowid;
DETACH DATABASE aux75;
ANALYZE;
SELECT * FROM T1;
SELECT * FROM T1;
CREATE TRIGGER IF NOT EXISTS trg_T2_9940 BEFORE DELETE ON T2 BEGIN SELECT RAISE(ROLLBACK, 'rb'); END;
ALTER TABLE T1 DROP COLUMN A;
ALTER TABLE T1 ADD COLUMN extra_8392 BOOLEAN DEFAULT (abs(random()) % 1000);
INSERT INTO T2 SELECT * FROM T2;
CREATE TRIGGER IF NOT EXISTS trg_T2_2125 BEFORE INSERT ON T2 BEGIN SELECT RAISE(FAIL, 'no'); END;
DROP TRIGGER IF EXISTS T1;
CREATE TEMP  VIEW IF NOT EXISTS v_T_286 AS SELECT b FROM T;
WITH RECURSIVE fib(a,b,n) AS (VALUES(1,1,1) UNION ALL SELECT b, a+b, n+1 FROM fib WHERE n<34) SELECT a, n FROM fib;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

